<?php

declare(strict_types=1);

namespace Dedi\SyliusContactPlugin\Entity;

use Sylius\Component\Resource\Model\ResourceInterface;
use Sylius\Component\Resource\Model\TranslatableInterface;

interface ContactFormSubjectInterface extends ResourceInterface, TranslatableInterface
{
    public function getId(): ?int;

    public function isActive(): bool;

    public function getSubjectRank(): ?int;

    public function getLabel(): string;

    public function getRecipientEmail(): string;
}
